png::row_traits< std::vector< pixel > > Class Template Reference

The row_traits specialization for unpacked pixel rows. More...

`#include <pixel_buffer.hpp>`

## Static Public Member Functions

static pixel * | get_data (std::vector< pixel > &vec)
| Returns the starting address of the row. More...

## Detailed Description

### template<typename pixel>
class png::row_traits< std::vector< pixel > >

The row_traits specialization for unpacked pixel rows.

## Member Function Documentation

template<typename pixel >

static pixel* png::row_traits< std::vector< pixel > >::get_data | ( | std::vector< pixel > & | vec | ) |

inline static

Returns the starting address of the row.

The documentation for this class was generated from the following file:

- pixel_buffer.hpp